---
bpf:
  hostLegacyRouting: false  #

cluster:
  id: {{ k8s_cilium_cluster_id }}
  name: {{ k8s_cilium_cluster_name }}

cni:
  customConf: false #
  uninstall: false
  exclusive: false  #
ipam:
  mode: cluster-pool
  operator:
    clusterPoolIPv4PodCIDRList:
{% for cidr in k8s_cilium_pod_cidr_list %}
      - {{ cidr }}
{% endfor %}

operator:
  replicas: {{ k8s_cilium_operator_replicas }}
  unmanagedPodWatcher:
    restart: true  # 

policyEnforcementMode: default #
routingMode: tunnel
tunnelPort: 8473
tunnelProtocol: vxlan
rollOutCiliumPods: true